package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.MusicGroupStatusEnum;

import java.math.BigDecimal;
import java.util.List;

public class MusicGroupRegisterDto {
    private String organName;

    private String musicGroupId;

    private String musicGroupName;

    private MusicGroupStatusEnum musicGroupStatus;

    private Integer registerNum=0;

    private Integer normalNum = 0;

    private Integer GroupBuyMusicalNum = 0;

    private Integer registerPayNum = 0;

    private BigDecimal totalMoney = BigDecimal.ZERO;

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public MusicGroupStatusEnum getMusicGroupStatus() {
        return musicGroupStatus;
    }

    public void setMusicGroupStatus(MusicGroupStatusEnum musicGroupStatus) {
        this.musicGroupStatus = musicGroupStatus;
    }

    public Integer getRegisterNum() {
        return registerNum;
    }

    public void setRegisterNum(Integer registerNum) {
        this.registerNum = registerNum;
    }


    public Integer getGroupBuyMusicalNum() {
        return GroupBuyMusicalNum;
    }

    public void setGroupBuyMusicalNum(Integer groupBuyMusicalNum) {
        GroupBuyMusicalNum = groupBuyMusicalNum;
    }

    public Integer getRegisterPayNum() {
        return registerPayNum;
    }

    public void setRegisterPayNum(Integer registerPayNum) {
        this.registerPayNum = registerPayNum;
    }

    public BigDecimal getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(BigDecimal totalMoney) {
        this.totalMoney = totalMoney;
    }

    public Integer getNormalNum() {
        return normalNum;
    }

    public void setNormalNum(Integer normalNum) {
        this.normalNum = normalNum;
    }
}
